Attribute VB_Name = "FastcamDriverConstantValues"
Option Explicit

Public Const PCC_ERROR_NOERROR = 1
Public Const PCC_ERROR_UNINITIALIZE = -1
Public Const PCC_ERROR_FUNCTION_FAILED = -2
Public Const PCC_ERROR_FUNCTION_TIMEOUT = -3
Public Const PCC_ERROR_FUNCTION_DISABLE = -4
Public Const PCC_ERROR_NO_DEVICE = -5
Public Const PCC_ERROR_NO_DATA = -6
Public Const PCC_ERROR_UNKNOWN_FRAME = -7
Public Const PCC_ERROR_CAMERAMODE = -8
Public Const PCC_ERROR_NO_ENDLESS = -9
Public Const PCC_ERROR_FILEREAD_FAILED = -10
Public Const PCC_ERROR_FILEWRITE_FAILED = -11
Public Const PCC_ERROR_IMAGE_SIZEOVER = -12
Public Const PCC_ERROR_FRAME_AREAOVER = -13
Public Const PCC_ERROR_PLAYMODE = -14
Public Const PCC_ERROR_NO_CAMERALIB = -15
Public Const PCC_ERROR_NO_MCDL = -16
Public Const PCC_ERROR_NO_IRIG = -17
Public Const PCC_ERROR_NOT_SUPPORTED = -18

Public Const PCAM_TYPE_FASTCAM_NET_COLOR = &H100464E
Public Const PCAM_TYPE_ULTIMA_1024 = &HB
Public Const PCAM_TYPE_ULTIMA_1024_ZERO = &H10B
Public Const PCAM_TYPE_ULTIMA_1024_COLOR = &H100000B
Public Const PCAM_TYPE_ULTIMA_1024_COLOR_ZERO = &H100010B
Public Const PCAM_TYPE_ULTIMA_SE = &HA
Public Const PCAM_TYPE_ULTIMA_SE_COLOR = &H100000A
Public Const PCAM_TYPE_ULTIMA_SE_NCVC = &H65
Public Const PCAM_TYPE_FASTCAM_PCI = &HFF000A
Public Const PCAM_TYPE_FASTCAM_PCI_COLOR = &H1FF000A
Public Const PCAM_TYPE_FASTCAM_1280PCI = &HFF000B
Public Const PCAM_TYPE_FASTCAM_1280PCI_COLOR = &H1FF000B
Public Const PCAM_TYPE_FASTCAM_CL = &HFF000C
Public Const PCAM_TYPE_FASTCAM_CL_COLOR = &H1FF000C
Public Const PCAM_TYPE_P6 = &H5036
Public Const PCAM_TYPE_P6_COLOR = &H1005036
Public Const PCAM_TYPE_FASTCAM_MAX = &H15
Public Const PCAM_TYPE_FASTCAM_MAX_COLOR = &H14
Public Const PCAM_TYPE_FASTCAM_NEO = &H17
Public Const PCAM_TYPE_FASTCAM_NEO_COLOR = &H16
Public Const PCAM_TYPE_FASTCAM_PCI2 = &H10
Public Const PCAM_TYPE_FASTCAM_PCI2_COLOR = &H11
Public Const PCAM_TYPE_FASTCAM_512PCI = &H13
Public Const PCAM_TYPE_FASTCAM_512PCI_COLOR = &H12
Public Const PCAM_TYPE_FASTCAM_MAX_IIM = &H1E
Public Const PCAM_TYPE_FASTCAM_MAX_II = &H1F
Public Const PCAM_TYPE_FASTCAM_APX_RS = &H21
Public Const PCAM_TYPE_FASTCAM_APX_RS_COLOR = &H22
Public Const PCAM_TYPE_FASTCAM_1024PCI = &H29
Public Const PCAM_TYPE_FASTCAM_1024PCI_COLOR = &H2A
Public Const PCAM_TYPE_FASTCAM_SUS_PCI = &H66

Public Const PLAYMODE_STOP = 0
Public Const PLAYMODE_PAUSE = 1
Public Const PLAYMODE_PLAY = 2
Public Const PLAYMODE_PLAYBACK = 3
Public Const PLAYMODE_FASTPLAY = 4
Public Const PLAYMODE_FASTPLAYBACK = 5

Public Const FORMAT_NONE = 0
Public Const FORMAT_BMP = 1
Public Const FORMAT_TIFF = 2
Public Const FORMAT_JPEG = 3
Public Const FORMAT_RAW = 4
Public Const FORMAT_PNM = 5
Public Const FORMAT_PGM = 6
Public Const FORMAT_PPM = 7
Public Const FORMAT_PBM = 8
Public Const FORMAT_AVI = 9
Public Const FORMAT_CIH = 10
Public Const FORMAT_RAWW = 11
Public Const FORMAT_PNG = 12
Public Const FORMAT_FTIF = 13

Public Const PNG_COMPRESS_NORMAL = 0
Public Const PNG_COMPRESS_SPEEDL = 1
Public Const PNG_COMPRESS_SIZE = 2

Public Const RAWW_EFFECTIVE_BITS_HIGHSIDE = 0
Public Const RAWW_EFFECTIVE_BITS_LOWSIDE = 1

Public Const DISPLAY_MODE_FRAME = 0
Public Const DISPLAY_MODE_SEC = 1
Public Const DISPLAY_MODE_MILLISEC = 2
Public Const DISPLAY_MODE_MICROSEC = 3

Public Const FRAME_PARAMS_CURRENT = 0
Public Const FRAME_PARAMS_START = 1
Public Const FRAME_PARAMS_END = 2
Public Const FRAME_PARAMS_TOTAL = 3
Public Const FRAME_PARAMS_AREASTART = 4
Public Const FRAME_PARAMS_AREAEND = 5
Public Const FRAME_PARAMS_AREATOTAL = 6
Public Const FRAME_PARAMS_TRIGGER = 7
Public Const FRAME_PARAMS_KEY = 8

Public Const CAMERA_MODE_PLAY = &H0
Public Const CAMERA_MODE_LIVE = &H1
Public Const CAMERA_MODE_RECREADY = &H2
Public Const CAMERA_MODE_REC = &H4
Public Const CAMERA_MODE_ENDLESS = &H8
Public Const CAMERA_MODE_RECORDED = &H10

Public Const TRIGGER_START = 0
Public Const TRIGGER_CENTER = &H1000000
Public Const TRIGGER_END = &H2000000
Public Const TRIGGER_RANDOM = &H3000000
Public Const TRIGGER_RANDOM1 = &H3000001
Public Const TRIGGER_RANDOM10 = &H3000010
Public Const TRIGGER_RANDOM50 = &H3000050
Public Const TRIGGER_MANUAL = &H4000000
Public Const TRIGGER_SHADING = &H4000000
Public Const TRIGGER_RANDOMRESET = &H5000000
Public Const TRIGGER_RANDOMCENTER = &H6000000
Public Const TRIGGER_RANDOMMANUAL = &H7000000
Public Const TRIGGER_TWOSTAGE = &H8000000 
Public Const TRIGGER_TWOSTAGE_NONE = &H8000000
Public Const TRIGGER_TWOSTAGE_HALF = &H8000001
Public Const TRIGGER_TWOSTAGE_QUARTER = &H8000002
Public Const TRIGGER_TWOSTAGE_ONEEIGHTH = &H8000003

Public Const GAMMA_1_0 = 0
Public Const GAMMA_0_9 = 1
Public Const GAMMA_0_8 = 2
Public Const GAMMA_0_7 = 3
Public Const GAMMA_0_6 = 4
Public Const GAMMA_0_5 = 5
Public Const GAMMA_0_4 = 6

Public Const GAIN_0DB = 0
Public Const GAIN_3DB = 1
Public Const GAIN_6DB = 2
Public Const GAIN_12DB = 3
Public Const GAIN_18DB = 4
Public Const GAIN_24DB = 5
Public Const GAIN_30DB = 6
Public Const GAIN_36DB = 7
Public Const GAIN_2A = 8
Public Const GAIN_2S = 9
Public Const GAIN_4S = 10
Public Const GAIN_8S = 11
Public Const GAIN_2D = 12
Public Const GAIN_4D = 13
Public Const GAIN_8D = 14

Public Const EDGEMODE_NONE = 0
Public Const EDGEMODE_1 = 1
Public Const EDGEMODE_2 = 2
Public Const EDGEMODE_3 = 3

Public Const COLORTEMPMODE_DEF1 = 0
Public Const COLORTEMPMODE_DEF2 = 1
Public Const COLORTEMPMODE_USER1 = 2
Public Const COLORTEMPMODE_USER2 = 3
Public Const COLORTEMPMODE_USER3 = 4

Public Const EXTSYNC_NONE = 0
Public Const EXTSYNC_POSI = 1
Public Const EXTSYNC_NEGA = 2
Public Const EXTSYNC_OTHERS_POSI = 3
Public Const EXTSYNC_OTHERS_NEGA = 4
Public Const EXTIN_EVENT_POSI = 5
Public Const EXTIN_EVENT_NEGA = 6
Public Const EXTIN_TRIGGER_POSI = 7
Public Const EXTIN_TRIGGER_NEGA = 8
Public Const EXTIN_READY_POSI = 9
Public Const EXTIN_READY_NEGA = 10

Public Const EXTOUT_VSYNC_POSI = 0
Public Const EXTOUT_VSYNC_NEGA = 1
Public Const EXTOUT_RECORD_POSI = 2
Public Const EXTOUT_RECORD_NEGA = 3
Public Const EXTOUT_TRIGGER_POSI = 4
Public Const EXTOUT_TRIGGER_NEGA = 5
Public Const EXTOUT_EXPOSE_POSI = 6
Public Const EXTOUT_EXPOSE_NEGA = 7
Public Const EXTOUT_READY_POSI = 8
Public Const EXTOUT_READY_NEGA = 9
Public Const EXTOUT_IRIG_RESET_POSI = 10
Public Const EXTOUT_IRIG_RESET_NEGA = 11

Public Const IMAGE_CONV_DEFAULT = &H0
Public Const IMAGE_CONV_ROTATE90 = &H1
Public Const IMAGE_CONV_ROTATE180 = &H2
Public Const IMAGE_CONV_ROTATE270 = &H4
Public Const IMAGE_CONV_MIRROR_H = &H8
Public Const IMAGE_CONV_MIRROR_V = &H10

Public Const VIDEO_DATA_MODE_SR500 = (0)
Public Const VIDEO_DATA_MODE_HS4540 = (1)
Public Const VIDEO_DATA_MODE_HS4540MX = (2)

Public Const DEVICE_SELECT_AUTO = 0
Public Const DEVICE_SELECT_1394 = 1
Public Const DEVICE_SELECT_PCI = 2
Public Const DEVICE_SELECT_PLMV = 4
Public Const DEVICE_SELECT_PCI2 = &H8
Public Const DEVICE_SELECT_ETHER = &H10
Public Const DEVICE_SELECT_OPT = &H20
Public Const DEVICE_SELECT_512PCI = &H40
Public Const DEVICE_SELECT_1024PCI = &H80
Public Const DEVICE_SELECT_SUSPIC = &H41
Public Const DEVICE_SELECT_G_ETHER = &HA0

Public Const MONITOROUT_VGA = 0
Public Const MONITOROUT_NTSC = 1
Public Const MONITOROUT_PAL = 2

Public Const TIMECODE_CAMERA = 0
Public Const TIMECODE_IRIG = 1
Public Const TIMECODE_LOCAL = 2
Public Const TIMECODE_GMT = 3

Public Const LIVE_RESO_FULL = &H0
Public Const LIVE_RESO_HALF = &H2
Public Const LIVE_RESO_QARTER = &H4
Public Const LIVE_RESO_DQARTER = &H8

Public Const CHROMA_NORMAL = 0
Public Const CHROMA_UP01 = 10
Public Const CHROMA_UP02 = 9
Public Const CHROMA_UP03 = 8
Public Const CHROMA_UP04 = 7
Public Const CHROMA_UP05 = 6
Public Const CHROMA_UP06 = 5
Public Const CHROMA_UP07 = 4
Public Const CHROMA_UP08 = 3

Public Const DS_SHUTTER_OFF = 0
Public Const DS_SHUTTER_MODE1 = 1
Public Const DS_SHUTTER_MODE2 = 2
Public Const DS_SHUTTER_MODE3 = 3

Public Const LUT_DEFAULT1 = 0
Public Const LUT_DEFAULT2 = 1
Public Const LUT_DEFAULT3 = 2
Public Const LUT_DEFAULT4 = 3
Public Const LUT_DEFAULT5 = 4
Public Const LUT_DEFAULT6 = 5
Public Const LUT_DEFAULT7 = 6
Public Const LUT_DEFAULT8 = 7
Public Const LUT_DEFAULT9 = 8
Public Const LUT_USER1 = 9
Public Const LUT_USER2 = 10
Public Const LUT_USER3 = 11

Public Const SHADING_OFF = 0
Public Const SHADING_ON1 = 1
Public Const SHADING_ON2 = 2
Public Const SHADING_ON3 = 3
Public Const SHADING_SAVE = 4
Public Const SHADING_LOAD = 5
Public Const SHADING_UPDATE = 6

Public Const INTERFACE_PCI = 0
Public Const INTERFACE_IEEE1394 = 1
Public Const INTERFACE_ETHER = 2
Public Const INTERFACE_OPTICAL = 3
Public Const INTERFACE_G_ETHER = 4

Public Const IMAGE_SIZE_MAX_X = 4096
Public Const IMAGE_SIZE_MAX_Y = 4096
Public Const IMAGE_SIZE_DEF_X = 512
Public Const IMAGE_SIZE_DEF_Y = 480

Public Const II_POWER_OFF = &H1
Public Const II_POWER_ON = &H2
Public Const II_POWER_ON_LOAD = &H3

Public Const II_GATE_SELECT_OFF = &H1
Public Const II_GATE_SELECT_CONTINUOUS = &H2
Public Const II_GATE_SELECT_EXTERNAL = &H3
Public Const II_GATE_SELECT_GATING = &H4
Public Const II_GATE_SELECT_DELAY = &H5

Public Const CAMMODE_DEFAULT = &H0
Public Const CAMMODE_VARIABLE = &H1
Public Const CAMMODE_EXTERNAL = &H2

Public Const VARIABLE_OFFSET_XPOS = 64
Public Const VARIABLE_OFFSET_YPOS = 8
Public Const VARIABLE_OFFSET_WIDTH = 128
Public Const VARIABLE_OFFSET_HEIGHT = 16

Public Const EDGE_ENHANCEMENT_OFF = 0
Public Const EDGE_ENHANCEMENT_MODE1 = 1
Public Const EDGE_ENHANCEMENT_MODE2 = 2
Public Const EDGE_ENHANCEMENT_MODE3 = 3

Public Const GETHER_DEFAULT_TIMEOUT = 5000
Public Const GETHER_DEFAULT_PACKETSIZE = 1458
Public Const GETHER_DEFAULT_PACKETSIZE_LOWSPEED = 722
Public Const GETHER_CONNECT_NORMAL = 1
Public Const GETHER_CONNECT_LOWSPEED = 0

Public Const MAX_CAMERA_DEVAICE = 64
Public Const LIST_MAX_NUMBER = 128
Public Const LIST_MAX_NUMBER_EX = 256
Public Const PARTITION_MAX_NUMBER = 256

Public Const FUNCTION_TIMEOUT = 5000
Public Const SIZE_OF_MCDL_DATA = 80
Public Const SIZE_OF_IRIG_DATA = 12

Public Const MAX_LEVEL = 65536
Public Const LUT_PLANE_R = 0
Public Const LUT_PLANE_G = 1
Public Const LUT_PLANE_B = 2
Public Const LUT_PLANE_A = 3
Public Const LUT_PLANE_ALL = 4

