// LutControl.h: CLutControl class interface
//
//////////////////////////////////////////////////////////////////////

#if !defined(LUTCONTROL_H__0_0_0_0_0__INCLUDED_)
#define LUTCONTROL_H__0_0_0_0_0__INCLUDED_

#if !defined(PCCLIB_API)

#if _DLLEXT
#define PCCLIB_API __declspec(dllexport)
#elif PCCLIB_DLL
#define PCCLIB_API __declspec(dllimport)
#else
#define PCCLIB_API
#endif

#endif

#define		MAX_LEVEL	65536

#define		LUT_PLANE_R		0	//Red
#define		LUT_PLANE_G		1	//Green
#define		LUT_PLANE_B		2	//Blue
#define		LUT_PLANE_A		3	//Alpha
#define		LUT_PLANE_ALL	4	//RGB or RGBA or Gray

class PCCLIB_API CLutControl  
{
private:
	int					m_nLevel;
	int					m_bIsColor;
	int					m_bUseAlpha;

	int					m_nTable[4][MAX_LEVEL];

	double				m_fGamma[4];
	int					m_nContrast[4];
	int					m_nBrightness[4];

	BOOL				m_bAutoUpdateTable;

public:
	void				UpdateTable(int * table, int contrast, int brightness, double gamma);

public:
	void				SetColorMode(BOOL color) { m_bIsColor = color; }
	void				SetUseAlphaPlane(BOOL use) { m_bUseAlpha = use; }
	void				SetLevel(int level = 256) { m_nLevel = level; }
	BOOL				GetColorMode() { return m_bIsColor; }
	BOOL				GetUseAlphaPlane() { return m_bUseAlpha; }
	int					GetLevel() { return m_nLevel; }

	void				SetGamma(double gamma, int plane = LUT_PLANE_ALL);
	void				SetContrast(int contrast, int plane = LUT_PLANE_ALL);
	void				SetBrightness(int brightness, int plane = LUT_PLANE_ALL);

	double				GetGamma(int plane = LUT_PLANE_ALL);
	int					GetContrast(int plane = LUT_PLANE_ALL);
	int					GetBrightness(int plane = LUT_PLANE_ALL);

	void				SetTable(int* table, int plane = LUT_PLANE_ALL);
	int*				GetTable(int plane = LUT_PLANE_ALL);
	void				ResetTable(int plane = LUT_PLANE_ALL);

	BOOL				GetAutoUpdateTable() { return m_bAutoUpdateTable; }
	void				SetAutoUpdateTable(BOOL on) { m_bAutoUpdateTable = on; }	
	void				UpdateTable(int plane = LUT_PLANE_ALL);

public:
	CLutControl();
	virtual ~CLutControl();

};

#endif // !defined(LUTCONTROL_H__0_0_0_0_0__INCLUDED_)
