//////////////////////////////////////////////////////////////////////
//	ConstantValues.h
//////////////////////////////////////////////////////////////////////


#if !defined(CONSTANTVALUES_H__0_0_0_0_0__INCLUDED_)
#define CONSTANTVALUES_H__0_0_0_0_0__INCLUDED_


//Camera Control Error Code
#define		PCC_ERROR_NOERROR			 1		//Normal
#define		PCC_ERROR_UNINITIALIZE		-1		//Uninitialize
#define		PCC_ERROR_FUNCTION_FAILED	-2		//Function failed
#define		PCC_ERROR_FUNCTION_TIMEOUT	-3		//Function timeout
#define		PCC_ERROR_FUNCTION_DISABLE	-4		//Function disabled
#define		PCC_ERROR_NO_DEVICE			-5		//Not found camera device
#define		PCC_ERROR_NO_DATA			-6		//Recorded data does not exist
#define		PCC_ERROR_UNKNOWN_FRAME		-7		//Unknown frame number
#define		PCC_ERROR_CAMERAMODE		-8		//Camera mode error
#define		PCC_ERROR_NO_ENDLESS		-9		//No endress mode recording
#define		PCC_ERROR_FILEREAD_FAILED	-10		//File read failed
#define		PCC_ERROR_FILEWRITE_FAILED	-11		//File write failed
#define		PCC_ERROR_IMAGE_SIZEOVER	-12		//Image size error
#define		PCC_ERROR_FRAME_AREAOVER	-13		//Frame area error
#define		PCC_ERROR_PLAYMODE			-14		//Play mode error
#define		PCC_ERROR_NO_CAMERALIB		-15		//Not found PccLic.dll
#define		PCC_ERROR_NO_MCDL			-16		//MCDL data does not exist
#define		PCC_ERROR_NO_IRIG			-17		//IRIG data does not exist
#define		PCC_ERROR_NOT_SUPPORTED		-18		//The command is not supported

//Camera Device Code
#define		PCAM_TYPE_FASTCAM_NET_COLOR			0x0100464e
#define		PCAM_TYPE_ULTIMA_1024				0x0000000b
#define		PCAM_TYPE_ULTIMA_1024_ZERO			0x0000010b
#define		PCAM_TYPE_ULTIMA_1024_COLOR			0x0100000b
#define		PCAM_TYPE_ULTIMA_1024_COLOR_ZERO	0x0100010b
#define		PCAM_TYPE_ULTIMA_SE					0x0000000a
#define		PCAM_TYPE_ULTIMA_SE_COLOR			0x0100000a
#define		PCAM_TYPE_ULTIMA_SE_NCVC			0x00000065
#define		PCAM_TYPE_FASTCAM_PCI				0x00ff000a
#define		PCAM_TYPE_FASTCAM_PCI_COLOR			0x01ff000a
#define		PCAM_TYPE_FASTCAM_1280PCI			0x00ff000b
#define		PCAM_TYPE_FASTCAM_1280PCI_COLOR		0x01ff000b
#define		PCAM_TYPE_FASTCAM_CL				0x00ff000c
#define		PCAM_TYPE_FASTCAM_CL_COLOR			0x01ff000c
#define		PCAM_TYPE_P6						0x00005036
#define		PCAM_TYPE_P6_COLOR					0x01005036
#define		PCAM_TYPE_FASTCAM_MAX				0x00000015
#define		PCAM_TYPE_FASTCAM_MAX_COLOR			0x00000014
#define		PCAM_TYPE_FASTCAM_NEO				0x00000017
#define		PCAM_TYPE_FASTCAM_NEO_COLOR			0x00000016
#define		PCAM_TYPE_FASTCAM_PCI2				0x00000010
#define		PCAM_TYPE_FASTCAM_PCI2_COLOR		0x00000011
#define		PCAM_TYPE_FASTCAM_512PCI			0x00000013
#define		PCAM_TYPE_FASTCAM_512PCI_COLOR		0x00000012
#define		PCAM_TYPE_FASTCAM_MAX_IIM			0x0000001e
#define		PCAM_TYPE_FASTCAM_MAX_II			0x0000001f
#define		PCAM_TYPE_FASTCAM_APX_RS			0x00000021
#define		PCAM_TYPE_FASTCAM_APX_RS_COLOR		0x00000022
#define		PCAM_TYPE_FASTCAM_1024PCI			0x00000029
#define		PCAM_TYPE_FASTCAM_1024PCI_COLOR		0x0000002a
#define		PCAM_TYPE_FASTCAM_SUS_PCI			0x00000066

//Play Mode
#define		PLAYMODE_STOP					0
#define		PLAYMODE_PAUSE					1
#define		PLAYMODE_PLAY					2
#define		PLAYMODE_PLAYBACK				3
#define		PLAYMODE_FASTPLAY				4
#define		PLAYMODE_FASTPLAYBACK			5

//File Format Type
#define		FORMAT_NONE						0
#define		FORMAT_BMP						1
#define		FORMAT_TIFF						2
#define		FORMAT_JPEG						3
#define		FORMAT_RAW						4
#define		FORMAT_PNM						5
#define		FORMAT_PGM						6
#define		FORMAT_PPM						7
#define		FORMAT_PBM						8
#define		FORMAT_AVI						9
#define		FORMAT_CIH						10
#define		FORMAT_RAWW						11
#define		FORMAT_PNG						12
#define		FORMAT_FTIF						13

#define		PNG_COMPRESS_NORMAL				0
#define		PNG_COMPRESS_SPEEDL				1
#define		PNG_COMPRESS_SIZE				2

#define		RAWW_EFFECTIVE_BITS_HIGHSIDE	0
#define		RAWW_EFFECTIVE_BITS_LOWSIDE		1

//Display Mode
#define		DISPLAY_MODE_FRAME				0
#define		DISPLAY_MODE_SEC				1
#define		DISPLAY_MODE_MILLISEC			2
#define		DISPLAY_MODE_MICROSEC			3

//Frame Data
#define		FRAME_PARAMS_CURRENT			0
#define		FRAME_PARAMS_START				1
#define		FRAME_PARAMS_END				2
#define		FRAME_PARAMS_TOTAL				3
#define		FRAME_PARAMS_AREASTART			4
#define		FRAME_PARAMS_AREAEND			5
#define		FRAME_PARAMS_AREATOTAL			6
#define		FRAME_PARAMS_TRIGGER			7
#define		FRAME_PARAMS_KEY				8

//Camera Mode
#define		CAMERA_MODE_PLAY				0x00
#define		CAMERA_MODE_LIVE				0x01
#define		CAMERA_MODE_RECREADY			0x02
#define		CAMERA_MODE_REC					0x04
#define		CAMERA_MODE_ENDLESS				0x08
#define		CAMERA_MODE_RECORDED			0x10

//Triger Mode
#define		TRIGGER_START					(0x00 << 24)
#define		TRIGGER_CENTER					(0x01 << 24)
#define		TRIGGER_END						(0x02 << 24)
#define		TRIGGER_RANDOM					(0x03 << 24)
#define		TRIGGER_RANDOM1					((0x03 << 24) | 1)
#define		TRIGGER_RANDOM10				((0x03 << 24) | 10)
#define		TRIGGER_RANDOM50				((0x03 << 24) | 50)
#define		TRIGGER_MANUAL					(0x04 << 24) 
#define		TRIGGER_SHADING					(0x04 << 24)
#define		TRIGGER_RANDOMRESET				(0x05 << 24)
#define		TRIGGER_RANDOMCENTER			(0x06 << 24)
#define		TRIGGER_RANDOMMANUAL			(0x07 << 24)
#define		TRIGGER_TWOSTAGE				(0x08 << 24) 
#define		TRIGGER_TWOSTAGE_NONE			((0x08 << 24) | 0)
#define		TRIGGER_TWOSTAGE_HALF			((0x08 << 24) | 1)
#define		TRIGGER_TWOSTAGE_QUARTER		((0x08 << 24) | 2)
#define		TRIGGER_TWOSTAGE_ONEEIGHTH		((0x08 << 24) | 3)

//Gamma Correction
#define		GAMMA_1_0						0
#define		GAMMA_0_9						1
#define		GAMMA_0_8						2
#define		GAMMA_0_7						3
#define		GAMMA_0_6						4
#define		GAMMA_0_5						5 
#define		GAMMA_0_4						6

//Gain Level 
#define		GAIN_0DB						0
#define		GAIN_3DB						1
#define		GAIN_6DB						2
#define		GAIN_12DB						3
#define		GAIN_18DB						4
#define		GAIN_24DB						5
#define		GAIN_30DB						6
#define		GAIN_36DB						7
#define		GAIN_2A							8
#define		GAIN_2S							9
#define		GAIN_4S							10
#define		GAIN_8S							11
#define		GAIN_2D							12
#define		GAIN_4D							13
#define		GAIN_8D							14

//Color Temperature
#define		COLORTEMPMODE_DEF1				0
#define		COLORTEMPMODE_DEF2				1
#define		COLORTEMPMODE_USER1				2
#define		COLORTEMPMODE_USER2				3
#define		COLORTEMPMODE_USER3				4

//External In
#define		EXTSYNC_NONE					0
#define		EXTSYNC_POSI					1
#define		EXTSYNC_NEGA					2
#define		EXTSYNC_OTHERS_POSI				3
#define		EXTSYNC_OTHERS_NEGA				4
#define		EXTIN_EVENT_POSI				5
#define		EXTIN_EVENT_NEGA				6
#define		EXTIN_TRIGGER_POSI				7
#define		EXTIN_TRIGGER_NEGA				8
#define		EXTIN_READY_POSI				9
#define		EXTIN_READY_NEGA				10

//External Out
#define		EXTOUT_VSYNC_POSI				0
#define		EXTOUT_VSYNC_NEGA				1
#define		EXTOUT_RECORD_POSI				2
#define		EXTOUT_RECORD_NEGA				3
#define		EXTOUT_TRIGGER_POSI				4
#define		EXTOUT_TRIGGER_NEGA				5
#define		EXTOUT_EXPOSE_POSI				6
#define		EXTOUT_EXPOSE_NEGA				7
#define		EXTOUT_READY_POSI				8
#define		EXTOUT_READY_NEGA				9
#define		EXTOUT_IRIG_RESET_POSI			10
#define		EXTOUT_IRIG_RESET_NEGA			11

//Image Conversion
#define		IMAGE_CONV_DEFAULT				0x00
#define		IMAGE_CONV_ROTATE90				0x01
#define		IMAGE_CONV_ROTATE180			0x02
#define		IMAGE_CONV_ROTATE270			0x04
#define		IMAGE_CONV_MIRROR_H				0x08
#define		IMAGE_CONV_MIRROR_V				0x10

//MCDL Params
#define		VIDEO_DATA_MODE_SR500			(0)
#define		VIDEO_DATA_MODE_HS4540			(1)
#define		VIDEO_DATA_MODE_HS4540MX		(2)

//Camera Device Selector
#define		DEVICE_SELECT_AUTO				0x0
#define		DEVICE_SELECT_1394				0x1
#define		DEVICE_SELECT_PCI				0x2
#define		DEVICE_SELECT_PLMV				0x4
#define		DEVICE_SELECT_PCI2				0x8
#define		DEVICE_SELECT_ETHER				0x10
#define		DEVICE_SELECT_OPT				0x20
#define		DEVICE_SELECT_512PCI			0x40
#define		DEVICE_SELECT_1024PCI			0x80
#define		DEVICE_SELECT_SUSPCI			0x41
#define		DEVICE_SELECT_G_ETHER			0xA0

//Monitor Out
#define		MONITOROUT_VGA					0
#define		MONITOROUT_NTSC					1
#define		MONITOROUT_PAL					2

//Time Code Mode
#define		TIMECODE_CAMERA					0
#define		TIMECODE_IRIG					1
#define		TIMECODE_LOCAL					2
#define		TIMECODE_GMT					3

//Live Resolution Mode
#define		LIVE_RESO_FULL		0x00	// FULL Resolution
#define		LIVE_RESO_HALF		0x02	// 1/2 Height Resolution
#define		LIVE_RESO_QARTER	0x04	// 1/4 Height Resolution
#define		LIVE_RESO_DQARTER	0x08	// 1/8 Height Resolution

//Chroma Mode
#define		CHROMA_NORMAL		0
#define		CHROMA_UP01			10
#define		CHROMA_UP02			9
#define		CHROMA_UP03			8
#define		CHROMA_UP04			7
#define		CHROMA_UP05			6
#define		CHROMA_UP06			5
#define		CHROMA_UP07			4
#define		CHROMA_UP08			3

//DS SHutter Mode
#define		DS_SHUTTER_OFF		0
#define		DS_SHUTTER_MODE1	1
#define		DS_SHUTTER_MODE2	2
#define		DS_SHUTTER_MODE3	3

//LUT Mode
#define		LUT_DEFAULT1		0
#define		LUT_DEFAULT2		1
#define		LUT_DEFAULT3		2
#define		LUT_DEFAULT4		3
#define		LUT_DEFAULT5		4
#define		LUT_DEFAULT6		5
#define		LUT_DEFAULT7		6
#define		LUT_DEFAULT8		7
#define		LUT_DEFAULT9		8
#define		LUT_USER1			9
#define		LUT_USER2			10
#define		LUT_USER3			11

//Shading Mode
#define		SHADING_OFF			0
#define		SHADING_ON1			1
#define		SHADING_ON2			2
#define		SHADING_ON3			3
#define		SHADING_SAVE		4
#define		SHADING_LOAD		5
#define		SHADING_UPDATE		6

//InterFace Type
#define		INTERFACE_PCI		0
#define		INTERFACE_IEEE1394	1
#define		INTERFACE_ETHER		2
#define		INTERFACE_OPTICAL	3
#define		INTERFACE_G_ETHER	4

//Image Data Size
#define		IMAGE_SIZE_MAX_X				4096
#define		IMAGE_SIZE_MAX_Y				4096
#define		IMAGE_SIZE_DEF_X				512
#define		IMAGE_SIZE_DEF_Y				480

//I.I. Power
#define		II_POWER_OFF		0x01
#define		II_POWER_ON			0x02
#define		II_POWER_ON_LOAD	0x03

//I.I. Gate Select
#define		II_GATE_SELECT_OFF			0x01
#define		II_GATE_SELECT_CONTINUOUS	0x02
#define		II_GATE_SELECT_EXTERNAL	 	0x03
#define		II_GATE_SELECT_GATING		0x04
#define		II_GATE_SELECT_DELAY		0x05

//Variable Cam Mode
#define		CAMMODE_DEFAULT				0x00
#define		CAMMODE_VARIABLE			0x01
#define		CAMMODE_EXTERNAL			0x02

//Variable Offest
#define		VARIABLE_OFFSET_XPOS		64
#define		VARIABLE_OFFSET_YPOS		8
#define		VARIABLE_OFFSET_WIDTH		128
#define		VARIABLE_OFFSET_HEIGHT		16

//Edge Enhancement
#define		EDGE_ENHANCEMENT_OFF		0
#define		EDGE_ENHANCEMENT_MODE1		1
#define		EDGE_ENHANCEMENT_MODE2		2
#define		EDGE_ENHANCEMENT_MODE3		3

//1000Base-T Ethernet
#define		GETHER_DEFAULT_TIMEOUT				5000
#define		GETHER_DEFAULT_PACKETSIZE			0
#define		GETHER_DEFAULT_PACKETSIZE_LOWSPEED	722
#define		GETHER_CONNECT_NORMAL				1
#define		GETHER_CONNECT_LOWSPEED				0

//Device
#define		MAX_CAMERA_DEVAICE				64
#define		MAX_CAMERA_DEVICE				64

//Etc
#define		FUNCTION_TIMEOUT				5000
#define		SIZE_OF_MCDL_DATA				80
#define		SIZE_OF_IRIG_DATA				12
#define		KODAK_VIDEOBORDERDATA_SUPPORT

//Message
#define		MSG_IRIGCAPTURE_STOP			WM_USER+2000


#endif
